Bug 130251 - [Cocoa] Expose a way to set the cookie accept policy
Summary: [Cocoa] Expose a way to set the cookie accept policy
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: mitz
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-03-14 11:09 PDT by mitz
Modified: 2015-05-31 09:41 PDT (History)
5 users (show)

See Also:


Attachments
Add -[WKProcessPool _setCookieAcceptPolicy:] (3.38 KB, patch)
2014-03-14 11:10 PDT, mitz
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2014-03-14 11:09:04 PDT
[Cocoa] Expose a way to set the cookie accept policy
Comment 1 mitz 2014-03-14 11:10:54 PDT
Created attachment 226736 [details]
Add -[WKProcessPool _setCookieAcceptPolicy:]
Comment 2 Radar WebKit Bug Importer 2014-03-19 10:41:40 PDT
<rdar://problem/16368388>
Comment 3 Alexey Proskuryakov 2014-03-20 09:46:42 PDT
Shouldn't this be a setting on a session? Process pool seems like a wrong place to change cookie settings.
Comment 4 mitz 2014-03-20 09:54:10 PDT
I forgot to say that this was committed in <http://trac.webkit.org/r165632>.

(In reply to comment #3)
> Shouldn't this be a setting on a session? Process pool seems like a wrong place to change cookie settings.

Can you explain what you mean by “session”? I agree that process pool is not right—this is just Cocoa SPI that mirrors the C SPI.
Comment 5 Alexey Proskuryakov 2014-03-20 10:40:09 PDT
> Can you explain what you mean by “session”?

WKSessionRef - which doesn't control cookies at the moment, but the idea is that it will mirror NSURLSession properties, encapsulating all storage settings.

I don't know if we began to expose WKSessionRef in Objective-C API yet.